Bug 869594 - Implement CasePlan container (with support for sortkey)
Implement CasePlan container (with support for sortkey)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-nitrate (Show other bugs)
rawhide
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Petr Šplíchal
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 729233
Blocks: 869566
  Show dependency treegraph
 
Reported: 2012-10-24 07:29 EDT by Petr Šplíchal
Modified: 2016-05-31 21:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-nitrate-1.0-0.fc20
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-18 18:53:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2012-10-24 07:29:32 EDT
Description of problem:

As bug 729233 has been fixed we could now add a new CasePlan
container with the support for getting/setting the sort order of
test case in test plan. This should probably work similarly as the
CaseRun class which connects test cases with test runs.
Comment 1 Petr Šplíchal 2014-03-22 20:21:01 EDT
Support for test case sortkey in test plans [BZ#869594]
    
New classes CasePlan and PlanCasePlans implemented
Method TestPlan.sortkey() for getting/setting the order

https://github.com/psss/python-nitrate/commit/ccbe25c
Comment 2 Fedora Update System 2014-04-11 11:25:26 EDT
python-nitrate-1.0-0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-nitrate-1.0-0.fc20
Comment 3 lnie 2014-04-15 00:11:15 EDT
python-nitrate-1.0-0.fc20 works
Comment 4 Fedora Update System 2014-04-15 11:36:28 EDT
Package python-nitrate-1.0-0.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-nitrate-1.0-0.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5095/python-nitrate-1.0-0.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-05-18 18:53:43 EDT
python-nitrate-1.0-0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.